/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Windows.Forms;

namespace BMS.CLASSES
{
    class cls_ACCOUNT_TYPES:cls_GLOBAL_VARIABLES
    {
        #region Fields
        int intAccountTypeID;
        string strAccountType;
        string strMinimumBalance;
        string strRate;
        string strDescription;
        int intCanHaveChequeBook;
        #endregion

        #region Properties
        public int IntAccountTypeID
        {
            get { return intAccountTypeID; }
            set { intAccountTypeID = value; }
        }

        public string StrAccountType
        {
            get { return strAccountType; }
            set { strAccountType = value; }
        }

        public string StrMinimumBalance
        {
            get { return strMinimumBalance; }
            set { strMinimumBalance = value; }
        }
        
        public string StrRate
        {
            get { return strRate; }
            set { strRate = value; }
        }

        public string StrDescription
        {
            get { return strDescription; }
            set { strDescription = value; }
        }

        public int IntCanHaveChequeBook
        {
            get { return intCanHaveChequeBook; }
            set { intCanHaveChequeBook = value; }
        }
        #endregion


        public static void loadAccountTypes(ComboBox cbo)
        {
            cls_DATABASE.GetRecord("SELECT AccountTypeID,AccountType FROM tb_ACCOUNT_TYPES");
            cls_LIST_ITEM cls_LIST_ITEM_obj = new cls_LIST_ITEM();

            cbo.Items.Clear();

            while (dataReader.Read())
            {
                cls_LIST_ITEM_obj = new cls_LIST_ITEM(dataReader["AccountType"].ToString(), Convert.ToInt32(cls_GLOBAL_VARIABLES.dataReader["AccountTypeID"]));
                cbo.Items.Add(cls_LIST_ITEM_obj);
            }
            dataReader.Close();
        }

        public void loadAccountTypesDetails(int intAccountTypeID)
        {
            cls_DATABASE.GetRecord("SELECT * FROM tb_ACCOUNT_TYPES WHERE AccountTypeID=" + intAccountTypeID);

            if (dataReader.Read())
            {
                intAccountTypeID = Convert.ToInt32(dataReader["AccountTypeID"]);
                strAccountType = dataReader["AccountType"].ToString();
                strMinimumBalance = dataReader["MinimumBalance"].ToString();
                strRate = dataReader["Rate"].ToString();
                strDescription = dataReader["Description"].ToString();
                intCanHaveChequeBook  = Convert.ToInt32(dataReader["CanHaveChequeBook"]);
            }
            dataReader.Close();
        }

        public int saveAccountTypeDetails()
        {
            string strSQL = "INSERT INTO tb_ACCOUNT_TYPES(AccountType,MinimumBalance,Rate,CanHaveChequeBook,Description)" +
                " VALUES('" + strAccountType  + "',"
                + "'" + strMinimumBalance  + "',"
                + "'" + strRate  + "',"
                + "" + intCanHaveChequeBook  + ","
                + "'" + strDescription + "')";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public int updateAccountTypeDetails(int intAccountTypeID)
        {
            string strSQL = "UPDATE tb_ACCOUNT_TYPES SET " +
                "AccountType ='" + strAccountType + "'," +
                "MinimumBalance ='" + strMinimumBalance + "'," +
                "Rate ='" + strRate + "'," +
                "CanHaveChequeBook =" + intCanHaveChequeBook  + "," +
                "Description ='" + strDescription + "'" +
                " WHERE AccountTypeID=" + intAccountTypeID;

            return cls_DATABASE.SaveRecord(strSQL);
        }


    }
}
