/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Windows.Forms;

namespace BMS.CLASSES
{
    class cls_BANK_BRANCHES:cls_GLOBAL_VARIABLES 
    {
        #region Fields
        int intBankID;
        int intBranchID;
        string strBranchNo;
        string strBranchName;
        string strAddress;
        string strWebSite;
        string strEMail;
        string strPhone1;
        string strPhone2;
        string strPhone3;
        string strFax1;
        string strFax2;
        string strFax3;
        string strPOBox;
        string strCity;
        string strCountry;
        string strLocation;
        static string strPicture;
        #endregion

        #region Properties
        public int IntBankID
        {
            get { return intBankID; }
            set { intBankID = value; }
        }

        public int IntBranchID
        {
            get { return intBranchID; }
            set { intBranchID = value; }
        }

        public string StrBranchNo
        {
            get { return strBranchNo; }
            set { strBranchNo = value; }
        }

        public string StrBranchName
        {
            get { return strBranchName; }
            set { strBranchName = value; }
        }

        public string StrAddress
        {
            get { return strAddress; }
            set { strAddress = value; }
        }

        public string StrWebSite
        {
            get { return strWebSite; }
            set { strWebSite = value; }
        }

        public string StrEMail
        {
            get { return strEMail; }
            set { strEMail = value; }
        }

        public string StrPhone1
        {
            get { return strPhone1; }
            set { strPhone1 = value; }
        }

        public string StrPhone2
        {
            get { return strPhone2; }
            set { strPhone2 = value; }
        }

        public string StrPhone3
        {
            get { return strPhone3; }
            set { strPhone3 = value; }
        }

        public string StrFax1
        {
            get { return strFax1; }
            set { strFax1 = value; }
        }

        public string StrFax2
        {
            get { return strFax2; }
            set { strFax2 = value; }
        }

        public string StrFax3
        {
            get { return strFax3; }
            set { strFax3 = value; }
        }

        public string StrPOBox
        {
            get { return strPOBox; }
            set { strPOBox = value; }
        }

        public string StrCity
        {
            get { return strCity; }
            set { strCity = value; }
        }

        public string StrCountry
        {
            get { return strCountry; }
            set { strCountry = value; }
        }

        public string StrLocation
        {
            get { return strLocation; }
            set { strLocation = value; }
        }

        public static  string StrPicture
        {
            get { return strPicture; }
            set { strPicture = value; }
        }

        #endregion

        public static void  loadBankBranches(ComboBox cbo)
        {
            cls_DATABASE.GetRecord("SELECT BranchID, BranchName, Logo FROM vw_BANK_DETAILS");
            cls_LIST_ITEM cls_LIST_ITEM_obj =new  cls_LIST_ITEM();
            cbo.Items.Clear();

            while (dataReader.Read())
            {
                cls_LIST_ITEM_obj = new cls_LIST_ITEM(dataReader["BranchName"].ToString(), Convert.ToInt32(cls_GLOBAL_VARIABLES.dataReader["BranchID"]));
                cbo.Items.Add(cls_LIST_ITEM_obj);
                //strPicture = dataReader["Logo"].ToString();
            }
            dataReader.Close();

        }

        public static void loadLogo()
        {
            cls_DATABASE.GetRecord("SELECT Logo FROM tb_BANKS");
            if (dataReader.Read())
            {
                strPicture = dataReader["Logo"].ToString();
            }
            dataReader.Close();
        }

        public void loadBankBranchesDetails(int intBankBranchID)
        {
            cls_DATABASE.GetRecord("SELECT * FROM vw_BANK_DETAILS WHERE BranchID=" + intBankBranchID);
            if (dataReader.Read())
            {
                intBankID = Convert.ToInt32(dataReader["BankID"]);
                intBranchID =Convert.ToInt32( dataReader["BranchID"]);
                strBranchNo = dataReader["BranchNo"].ToString();
                strBranchName = dataReader["BranchName"].ToString();
                strAddress = dataReader["Address"].ToString();
                strWebSite = dataReader["WebSite"].ToString();
                strEMail = dataReader["EMail"].ToString();
                strPhone1 = dataReader["PhoneNo1"].ToString();
                strPhone2 = dataReader["PhoneNo2"].ToString();
                strPhone3 = dataReader["PhoneNo3"].ToString();
                strFax1 = dataReader["FaxNo1"].ToString();
                strFax2 = dataReader["FaxNo2"].ToString();
                strFax3 = dataReader["FaxNo3"].ToString();
                strPOBox = dataReader["POBox"].ToString();
                strCity = dataReader["City"].ToString();
                strCountry = dataReader["Country"].ToString();
                strLocation = dataReader["Location"].ToString();
                
            }
            dataReader.Close();
        }

        public int saveBankBranchDetails()
        {
            string strSQL = "INSERT INTO tb_BANK_BRANCHES(BranchNo,BankID,BranchName,Address,WebSite,EMail,PhoneNo1,PhoneNo2,PhoneNo3,FaxNo1,FaxNo2,FaxNo3,POBox,City,Country,Location)" +
                " VALUES('" + strBranchNo + "',"
                + "" + intBankID + ","
                + "'" + strBranchName + "',"
                + "'" + strAddress + "',"
                + "'" + strWebSite + "',"
                + "'" + strEMail + "',"
                + "'" + strPhone1 + "',"
                + "'" + strPhone2 + "',"
                + "'" + strPhone3 + "',"
                + "'" + strFax1 + "',"
                + "'" + strFax2 + "',"
                + "'" + strFax3 + "',"
                + "'" + strPOBox  + "',"
                + "'" + strCity + "',"
                + "'" + strCountry + "',"  
                + "'" + strLocation + "')";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public int updateBankBranchDetails(int intBranchID)
        {
            string strSQL = "UPDATE tb_BANK_BRANCHES SET " +
                "BranchNo ='" + strBranchNo  + "'," +
                "BranchName ='" + strBranchName  + "'," +
                "Address ='" + strAddress + "'," +
                "WebSite ='" + strWebSite  + "'," +
                "EMail ='" + strEMail  + "'," +
                "PhoneNo1 ='" + strPhone1  + "'," +
                "PhoneNo2 ='" + strPhone2 + "'," +
                "PhoneNo3 ='" + strPhone3 + "'," +
                "FaxNo1 ='" + strFax1  + "'," +
                "FaxNo2 ='" + strFax2 + "'," +
                "FaxNo3 ='" + strFax3 + "'," +
                "POBox ='" + strPOBox  + "'," +
                "City ='" + strCity  + "'," +
                "Country ='" + strCountry  + "'," +
                "Location ='" + strLocation  + "'" +
                " WHERE BranchID=" + intBranchID;

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public static string AutoGenNo()
        {
            cls_DATABASE.GetRecord("SELECT BranchNo FROM tb_BANK_BRANCHES");
            if (cls_DATABASE.dataReader.Read())
            {
                string strAccountNo = cls_DATABASE.dataReader["BranchNo"].ToString();
                int intLastNo = int.Parse(strAccountNo.Substring(1, 10)) + 1;
                return "B" + intLastNo.ToString("0000000000");
            }
            else
            {
                return "B0000000001";
            }
        }

    }
}
