/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Windows.Forms;

namespace BMS.CLASSES
{
    class cls_BANK_PROFILE:cls_GLOBAL_VARIABLES
    {
        #region Fields
        int intBankID;
        string strBankName;
        string strMotto;
        string strSlogan;
        string strPicture;
        byte[] byteLogo=new byte[0] ;
        #endregion

        #region Properties
        public int IntBankID
        {
            get { return intBankID; }
            set { intBankID = value; }
        }

        public string StrBankName
        {
            get { return strBankName; }
            set { strBankName = value; }
        }

        public string StrMotto
        {
            get { return strMotto; }
            set { strMotto = value; }
        }

        public string StrSlogan
        {
            get { return strSlogan; }
            set { strSlogan = value; }
        }

        public string StrPicture
        {
            get { return strPicture; }
            set { strPicture = value; }
        }

        public byte[] ByteLogo
        {
            get { return byteLogo; }
            set { byteLogo = value; }
        }
        
        #endregion

        public void loadBankProfile()
        {
            cls_DATABASE.GetRecord("SELECT * FROM tb_BANKS");

            if (dataReader.Read())
            {
                intBankID  = Convert.ToInt32(dataReader["BankID"]);
                strBankName = dataReader["BankName"].ToString();
                strMotto = dataReader["Motto"].ToString();
                strSlogan  = dataReader["Slogan"].ToString();
                strPicture = dataReader["Logo"].ToString();
                //try{byteLogo = (byte[])(dataReader["Logo"]);}
                //catch (Exception exc) { cls_UTILITY.displayMessage(exc.Message, MessageBoxIcon.Error); }
            }
            dataReader.Close();
        }

        public int saveBankProfile()
        {
            string strSQL = "INSERT INTO tb_BANKS(BankName,Motto,Slogan,Logo)" +
                " VALUES('" + strBankName  + "',"
                + "'" + strMotto  + "',"
                + "'" + strSlogan  + "',"
                + "'" + strPicture  + "')";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public int updateBankProfile(int intBankID)
        {
            string strSQL = "UPDATE tb_BANKS SET " +
                "BankName ='" + strBankName  + "'," +
                "Motto ='" + strMotto  + "'," +
                "Slogan ='" + strSlogan  + "'," +
                "Logo ='" + strPicture  + "'" +
                " WHERE BankID=" + intBankID ;

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public int updateBankLogo()
        {
            string strSQL = "UPDATE tb_BANKS SET " +
            "Logo = '' " ;

            return cls_DATABASE.SaveRecord(strSQL);
        }

    }
}
