/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Windows.Forms;
using Microsoft.Reporting.WinForms;

namespace BMS.CLASSES
{
    class cls_BANK_STATEMENT:cls_GLOBAL_VARIABLES 
    {
        #region Fields
        private int intAccountID;
        private string strAccountNo;
        private float  flInitialDeposit;
        private DateTime dtTransactionDate;
        private string strTransactionType;
        private float flDebit;
        private float flCredit;
        #endregion 

        #region Properties
        public int IntAccountID
        {
            get { return intAccountID; }
            set { intAccountID = value; }
        }

        public string StrAccountNo
        {
            get { return strAccountNo; }
            set { strAccountNo = value; }
        }

        public float  FlInitialDeposit
        {
            get { return flInitialDeposit; }
            set { flInitialDeposit = value; }
        }

        public DateTime DtTransactionDate
        {
            get { return dtTransactionDate; }
            set { dtTransactionDate = value; }
        }

        public string StrTransactionType
        {
            get { return strTransactionType; }
            set { strTransactionType = value; }
        }

        public float FlDebit
        {
            get { return flDebit; }
            set { flDebit = value; }
        }

        public float FlCredit
        {
            get { return flCredit; }
            set { flCredit = value; }
        }
        #endregion

        public int saveBankStatement()
        {
            string strSQL = "INSERT INTO tb_BANK_STATEMENT(AccountID,AccountNo,InitialDeposit)" +
                " VALUES(" + intAccountID + ","
                + "'" + strAccountNo + "',"
                + "" + flInitialDeposit  + ")";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public int saveBankStatementDetails()
        {
            string strSQL = "INSERT INTO tb_BANK_STATEMENT_DETAILS(AccountID,TransactionDate,TransactionType,Debit,Credit)" +
                " VALUES(" + intAccountID + ","
                + "'" + dtTransactionDate  + "',"
                + "'" + strTransactionType + "',"
                + "" + flDebit + ","
                + "" + flCredit + ")";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public static void loadBankStatementReport(string strSQL, ReportViewer rdlcviewer, string strReportEmbeddedRessource, string strReportDataSourceName)
        {
            cls_DATABASE.GetRecord(strSQL);
            ds_TABLES_obj.Tables[2].Clear();
            ds_TABLES_obj.Tables[2].Load(dataReader);
            rdlcviewer.LocalReport.ReportEmbeddedResource = strReportEmbeddedRessource;
            ReportDataSource reportDataSource = new ReportDataSource();
            reportDataSource.Name = strReportDataSourceName;
            reportDataSource.Value = ds_TABLES_obj.Tables[2];
            rdlcviewer.LocalReport.DataSources.Add(reportDataSource);
            rdlcviewer.RefreshReport();
            dataReader.Close();

            deleteBankStatement();
            deleteBankStatementDetails();
        }

        public static  int deleteBankStatement()
        {
            string strSQL = "DELETE FROM tb_BANK_STATEMENT";
            return cls_DATABASE.SaveRecord(strSQL);
        }

        public static int deleteBankStatementDetails()
        {
            string strSQL = "DELETE FROM tb_BANK_STATEMENT_DETAILS";
            return cls_DATABASE.SaveRecord(strSQL);
        }
    }
}
