/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Windows.Forms;

namespace BMS.CLASSES
{
    class cls_CURRENCY_TYPES:cls_GLOBAL_VARIABLES 
    {
        #region Fields
        int intCurrencyTypeID;
        string strCurrencyName;
        string strCurrencySymbol;
        string strDescription;
        #endregion

        #region Properties
        public int IntCurrencyTypeID
        {
            get { return intCurrencyTypeID; }
            set { intCurrencyTypeID = value; }
        }
       
        public string StrCurrencyName
        {
            get { return strCurrencyName; }
            set { strCurrencyName = value; }
        }

        public string StrCurrencySymbol
        {
            get { return strCurrencySymbol; }
            set { strCurrencySymbol = value; }
        }

        public string StrDescription
        {
            get { return strDescription; }
            set { strDescription = value; }
        }
        #endregion

        public static void loadCurrency(ComboBox cbo)
        {
            cls_DATABASE.GetRecord("SELECT CurrencyTypeID,CurrencyName FROM tb_CURRENCY_TYPES");
            cls_LIST_ITEM cls_LIST_ITEM_obj = new cls_LIST_ITEM();

            cbo.Items.Clear();

            while (dataReader.Read())
            {
                cls_LIST_ITEM_obj = new cls_LIST_ITEM(dataReader["CurrencyName"].ToString(), Convert.ToInt32(cls_GLOBAL_VARIABLES.dataReader["CurrencyTypeID"]));
                cbo.Items.Add(cls_LIST_ITEM_obj);
            }
            dataReader.Close();
        }

        public void loadCurrencyDetails(int intCurrencyTypeID)
        {
            cls_DATABASE.GetRecord("SELECT * FROM tb_CURRENCY_TYPES WHERE CurrencyTypeID=" + intCurrencyTypeID );

            if (dataReader.Read())
            {
                intCurrencyTypeID = Convert.ToInt32(dataReader["CurrencyTypeID"]);
                strCurrencyName = dataReader["CurrencyName"].ToString();
                strCurrencySymbol=dataReader["CurrencySymbol"].ToString();
                StrDescription = dataReader["Description"].ToString();
            }
            dataReader.Close();
        }

        public int saveCurrencyDetails()
        {
            string strSQL = "INSERT INTO tb_CURRENCY_TYPES(CurrencyName,CurrencySymbol,Description)" + 
                " VALUES('" + strCurrencyName + "',"
                + "'" + strCurrencySymbol + "',"
                + "'" + strDescription + "')";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public int updateCurrencyDetails(int intCurrencyTypeID)
        {
            string strSQL = "UPDATE tb_CURRENCY_TYPES SET " +
                "CurrencyName ='" + strCurrencyName + "'," +
                "CurrencySymbol ='" + strCurrencySymbol + "'," +
                "Description ='" + strDescription + "'" +
                " WHERE CurrencyTypeID=" + intCurrencyTypeID;

            return cls_DATABASE.SaveRecord(strSQL);
        }

    }
}
