/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Windows.Forms;

namespace BMS.CLASSES
{
    class cls_TRANSACTION_TYPES:cls_GLOBAL_VARIABLES 
    {
        #region Fields
        int intTransactionTypeID;
        string strTransactionType;
        string strDescription;
        #endregion

        #region Properties
        public int IntTransactionTypeID
        {
            get { return intTransactionTypeID; }
            set { intTransactionTypeID = value; }
        }

        public string StrTransactionType
        {
            get { return strTransactionType; }
            set { strTransactionType = value; }
        }
        public string StrDescription
        {
            get { return strDescription; }
            set { strDescription = value; }
        }
        #endregion

        public static void loadTransactionTypes(ComboBox cbo)
        {
            cls_DATABASE.GetRecord("SELECT TransactionTypeID,TransactionType FROM tb_TRANSACTION_TYPES");
            cls_LIST_ITEM cls_LIST_ITEM_obj = new cls_LIST_ITEM();

            cbo.Items.Clear();

            while (dataReader.Read())
            {
                cls_LIST_ITEM_obj = new cls_LIST_ITEM(dataReader["TransactionType"].ToString(), Convert.ToInt32(cls_GLOBAL_VARIABLES.dataReader["TransactionTypeID"]));
                cbo.Items.Add(cls_LIST_ITEM_obj);
            }
            dataReader.Close();
        }

        public void loadTransactionTypeDetails(int intTransactionTypeID)
        {
            cls_DATABASE.GetRecord("SELECT * FROM tb_TRANSACTION_TYPES WHERE TransactionTypeID=" + intTransactionTypeID);

            if (dataReader.Read())
            {
                intTransactionTypeID = Convert.ToInt32(dataReader["TransactionTypeID"]);
                strTransactionType = dataReader["TransactionType"].ToString();
                StrDescription = dataReader["Description"].ToString();
            }
            dataReader.Close();
        }

        public int saveTransactionTypeDetails()
        {
            string strSQL = "INSERT INTO tb_TRANSACTION_TYPES(TransactionType,Description)" +
                " VALUES('" + strTransactionType + "',"
                + "'" + strDescription + "')";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public int updateTransactionTypeDetails(int intTransactionTypeID)
        {
            string strSQL = "UPDATE tb_TRANSACTION_TYPES SET " +
                "TransactionType ='" + strTransactionType + "'," +
                "Description ='" + strDescription + "'" +
                " WHERE TransactionTypeID=" + intTransactionTypeID;

            return cls_DATABASE.SaveRecord(strSQL);
        }



    }
}
