/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Windows.Forms;
using Microsoft.Reporting.WinForms;

namespace BMS.CLASSES
{
    class cls_BANK_ACCOUNTS:cls_GLOBAL_VARIABLES 
    {
        
        #region Fields
        int intAccountHolderID;
        int intAccountID;
        string strSurname;
        string strOtherNames;
        string strMaidenName;
        int intTitleID;
        string strTitleShortName;
        int intGender;
        string strGender;
        DateTime dtdateOfBirth;
        string strPlaceOfBirth;
        string strNationality;
        string strOccupation;
        string strEmployer;
        string strOfficePhone;
        string strHomePhone;
        string strMobilePhone;
        string strPOBox;
        string strEmail;
        int intHolderType;
        string strHolderType;

        string strDigitalSign;
        string strPicture;

        byte[] byteDigitalSign=null ;
        byte[] bytePicture=null ;
        int intIdentificationDetailsID;
        string strAccountNo;
        string strAccountName;
        int intAccountType;
        string strAccountType;
        int intCurrencyType;
        string strCurrencyType;
        string strInitialDeposit;
        string strBalance;
        DateTime dtDateOpened;

        int intATMCardID;
        string strATMCardNo;
        string strATMAccessCode;
        DateTime dtATMIssuedDate;
        DateTime dtATMExpiryDate;

        int intIdentificationDetailID;
        int intIdentificationTypeID;
        string strIdentificationType;
        string strIdentificationNo;
        DateTime dtDateIssued;
        string strIssuedAt;
        string strIssuedBy;
        string strResidencePermitNo;
        long lngMinimumBalance;

        #endregion

        #region Properties
        public int IntAccountHolderID
        {
            get { return intAccountHolderID; }
            set { intAccountHolderID = value; }
        }

        public int IntAccountID
        {
            get { return intAccountID; }
            set { intAccountID = value; }
        }

        public string StrSurname
        {
            get { return strSurname; }
            set { strSurname = value; }
        }

        public string StrOtherNames
        {
            get { return strOtherNames; }
            set { strOtherNames = value; }
        }

        public string StrMaidenName
        {
            get { return strMaidenName; }
            set { strMaidenName = value; }
        }

        public int IntTitleID
        {
            get { return intTitleID; }
            set { intTitleID = value; }
        }

        public string StrTitleShortName
        {
            get { return strTitleShortName; }
            set { strTitleShortName = value; }
        }

        public int IntGender
        {
            get { return intGender; }
            set { intGender = value; }
        }

        public string StrGender
        {
            get { return strGender; }
            set { strGender = value; }
        }

        public DateTime DtdateOfBirth
        {
            get { return dtdateOfBirth; }
            set { dtdateOfBirth = value; }
        }

        public string StrPlaceOfBirth
        {
            get { return strPlaceOfBirth; }
            set { strPlaceOfBirth = value; }
        }

        public string StrNationality
        {
            get { return strNationality; }
            set { strNationality = value; }
        }

        public string StrOccupation
        {
            get { return strOccupation; }
            set { strOccupation = value; }
        }


        public string StrEmployer
        {
            get { return strEmployer; }
            set { strEmployer = value; }
        }
      

        public string StrOfficePhone
        {
            get { return strOfficePhone; }
            set { strOfficePhone = value; }
        }

        public string StrHomePhone
        {
            get { return strHomePhone; }
            set { strHomePhone = value; }
        }

        public string StrMobilePhone
        {
            get { return strMobilePhone; }
            set { strMobilePhone = value; }
        }

        public string StrPOBox
        {
            get { return strPOBox; }
            set { strPOBox = value; }
        }

        public string StrEmail
        {
            get { return strEmail; }
            set { strEmail = value; }
        }

        public int IntHolderType
        {
            get { return intHolderType; }
            set { intHolderType = value; }
        }

        public string StrHolderType
        {
            get { return strHolderType; }
            set { strHolderType = value; }
        }

        public string StrDigitalSign
        {
            get { return strDigitalSign; }
            set { strDigitalSign = value; }
        }

        public string StrPicture
        {
            get { return strPicture; }
            set { strPicture = value; }
        }

        public byte[] ByteDigitalSign
        {
            get { return byteDigitalSign; }
            set { byteDigitalSign = value; }
        }

        public byte[] BytePicture
        {
            get { return bytePicture; }
            set { bytePicture = value; }
        }

        public int IntIdentificationDetailsID
        {
            get { return intIdentificationDetailsID; }
            set { intIdentificationDetailsID = value; }
        }

        public string StrAccountNo
        {
            get { return strAccountNo; }
            set { strAccountNo = value; }
        }

        public string StrAccountName
        {
            get { return strAccountName; }
            set { strAccountName = value; }
        }

        public int IntAccountType
        {
            get { return intAccountType; }
            set { intAccountType = value; }
        }

        public string StrAccountType
        {
            get { return strAccountType; }
            set { strAccountType = value; }
        }

        public int IntCurrencyType
        {
            get { return intCurrencyType; }
            set { intCurrencyType = value; }
        }

        public string StrCurrencyType
        {
            get { return strCurrencyType; }
            set { strCurrencyType = value; }
        }

        public string StrInitialDeposit
        {
            get { return strInitialDeposit; }
            set { strInitialDeposit = value; }
        }

        public string StrBalance
        {
            get { return strBalance; }
            set { strBalance = value; }
        }

        public DateTime DtDateOpened
        {
            get { return dtDateOpened; }
            set { dtDateOpened = value; }
        }

        public int IntATMCardID
        {
            get { return intATMCardID; }
            set { intATMCardID = value; }
        }

        public string StrATMCardNo
        {
            get { return strATMCardNo; }
            set { strATMCardNo = value; }
        }

        public string StrATMAccessCode
        {
            get { return strATMAccessCode; }
            set { strATMAccessCode = value; }
        }
        public DateTime DtATMIssuedDate
        {
            get { return dtATMIssuedDate; }
            set { dtATMIssuedDate = value; }
        }
        public DateTime DtATMExpiryDate
        {
            get { return dtATMExpiryDate; }
            set { dtATMExpiryDate = value; }
        }

        public int IntIdentificationDetailID
        {
            get { return intIdentificationDetailID; }
            set { intIdentificationDetailID = value; }
        }

        public int IntIdentificationTypeID
        {
            get { return intIdentificationTypeID; }
            set { intIdentificationTypeID = value; }
        }

        public string StrIdentificationType
        {
            get { return strIdentificationType; }
            set { strIdentificationType = value; }
        }
        
        public string StrIdentificationNo
        {
            get { return strIdentificationNo; }
            set { strIdentificationNo = value; }
        }

        public DateTime DtDateIssued
        {
            get { return dtDateIssued; }
            set { dtDateIssued = value; }
        }

        public string StrIssuedAt
        {
            get { return strIssuedAt; }
            set { strIssuedAt = value; }
        }

        public string StrIssuedBy
        {
            get { return strIssuedBy; }
            set { strIssuedBy = value; }
        }

        public string StrResidencePermitNo
        {
            get { return strResidencePermitNo; }
            set { strResidencePermitNo = value; }
        }

        public long LngMinimumBalance
        {
            get { return lngMinimumBalance; }
            set { lngMinimumBalance = value; }
        }

        #endregion

        public static void loadAccountNo(ComboBox cbo)
        {
            cls_DATABASE.GetRecord("SELECT AccountID,AccountNumber FROM tb_ACCOUNTS");
            cbo.Items.Clear();
            cls_LIST_ITEM cls_LIST_ITEM_obj;

            while (dataReader.Read())
            {
                cls_LIST_ITEM_obj = new cls_LIST_ITEM(dataReader["AccountNumber"].ToString(), Convert.ToInt32(cls_GLOBAL_VARIABLES.dataReader["AccountID"]));
                cbo.Items.Add(cls_LIST_ITEM_obj);
            }
            dataReader.Close();
        }

        public static void loadGender(ComboBox cbo)
        {
            cls_DATABASE.GetRecord("SELECT GenderID,Gender FROM tb_GENDER");
            cbo.Items.Clear();
            cls_LIST_ITEM cls_LIST_ITEM_obj;

            while (dataReader.Read())
            {
                cls_LIST_ITEM_obj = new cls_LIST_ITEM(dataReader["Gender"].ToString(), Convert.ToInt32(cls_GLOBAL_VARIABLES.dataReader["GenderID"]));
                cbo.Items.Add(cls_LIST_ITEM_obj);
            }
            dataReader.Close();
        }

        public void loadChequeNo(ComboBox cbo,int intAccountID)
        {
            cls_DATABASE.GetRecord("SELECT ChequeID, ChequeNo FROM vw_CHEQUE_BOOK_DETAILS WHERE Status = 0 AND AccountID =" + intAccountID);
            cbo.Items.Clear();
            cls_LIST_ITEM cls_LIST_ITEM_obj;

            while (dataReader.Read())
            {
                cls_LIST_ITEM_obj = new cls_LIST_ITEM(dataReader["ChequeNo"].ToString(), Convert.ToInt32(cls_GLOBAL_VARIABLES.dataReader["ChequeID"]));
                cbo.Items.Add(cls_LIST_ITEM_obj);
            }
            dataReader.Close();
        }

        public static string  loadInitialDeposit(int intAccountID)
        {
            cls_DATABASE.GetRecord("SELECT InitialDeposit FROM tb_ACCOUNTS WHERE AccountID =" + intAccountID);

            if (dataReader.Read())
            {
                return dataReader["InitialDeposit"].ToString();
                
            }
            else
            {
                return "0";
            }

            dataReader.Close();
        }

        public void loadAccountDetails(int intAccountID)
        {
            cls_DATABASE.GetRecord("SELECT * FROM vw_ACCOUNT_DETAILS WHERE AccountID=" + intAccountID);

            if (dataReader.Read())
            {
                intAccountHolderID =Convert.ToInt32( dataReader["AccountHolderID"]);
                intAccountID=Convert.ToInt32( dataReader["AccountID"]);
                strSurname=dataReader["Surname"].ToString();
                strOtherNames = dataReader["OtherNames"].ToString();
                strMaidenName = dataReader["MaidenName"].ToString();
                intTitleID=Convert.ToInt32( dataReader["TitleID"]);
                strTitleShortName = dataReader["TitleShortName"].ToString();
                intGender = Convert.ToInt32(dataReader["GenderID"]);
                strGender  = dataReader["Gender"].ToString();
                dtdateOfBirth=DateTime.Parse(dataReader["DateOfBirth"].ToString());
                strPlaceOfBirth=dataReader["PlaceAndCountryOfBirth"].ToString();
                strNationality = dataReader["Nationality"].ToString();
                strOccupation = dataReader["Occupation"].ToString();
                strEmployer = dataReader["Employer"].ToString();
                strOfficePhone = dataReader["OfficePhone"].ToString();
                strHomePhone = dataReader["HomePhone"].ToString();
                strMobilePhone = dataReader["MobilePhone"].ToString();
                strPOBox  = dataReader["POBox"].ToString();
                strEmail = dataReader["EMail"].ToString();
                intHolderType =Convert.ToInt32( dataReader["HolderType"]);
                strHolderType  = dataReader["CustomerType"].ToString();
                strPicture = dataReader["Picture"].ToString();
                strDigitalSign  = dataReader["DigitalSign"].ToString();
                intIdentificationDetailsID=Convert.ToInt32(dataReader["IdentificationDetailsID"]);
                strIdentificationType  = dataReader["IdentificationType"].ToString();
                strAccountNo = dataReader["AccountNumber"].ToString();
                strAccountName = dataReader["AccountName"].ToString();
                intAccountType =Convert.ToInt32( dataReader["AccountTypeID"]);
                strAccountType  = dataReader["AccountType"].ToString();
                intCurrencyType=Convert.ToInt32(dataReader["CurrencyType"]);
                strCurrencyType  = dataReader["CurrencyName"].ToString();
                strInitialDeposit = dataReader["InitialDeposit"].ToString();
                strBalance = dataReader["Balance"].ToString();
                dtDateOpened = DateTime.Parse(dataReader["DateOpened"].ToString());
                
                intATMCardID=Convert.ToInt32(dataReader["ATMCardID"]);
                strATMCardNo = dataReader["ATMCardNumber"].ToString();
                strATMAccessCode = dataReader["ATMAccessCode"].ToString();
                dtATMIssuedDate = DateTime.Parse(dataReader["ATMDateIssued"].ToString());
                dtATMExpiryDate =DateTime.Parse( dataReader["ATMExpiryDate"].ToString());
                
                intIdentificationDetailID=Convert.ToInt32(dataReader["IdentificationDetailsID"]);
                intIdentificationTypeID=Convert.ToInt32(dataReader["IdentificationTypeID"]);
                strIdentificationNo = dataReader["IdentificationNo"].ToString();
                dtDateIssued =DateTime.Parse(dataReader["DateIssued"].ToString());
                strIssuedAt = dataReader["IssuedAt"].ToString();
                strIssuedBy = dataReader["IssuedBy"].ToString();
                strResidencePermitNo = dataReader["ResidencePermitNo"].ToString();

                lngMinimumBalance = Convert.ToInt64(dataReader["MinimumBalance"]);
            }
            dataReader.Close();
        }

        public static void searchAccountDetails(ListView lvw, string strSQL)
        {

            cls_DATABASE.GetRecord("SELECT * FROM vw_ACCOUNT_DETAILS WHERE " + strSQL);
            
            lvw.Items.Clear();
            ListViewItem lst;

            while (dataReader.Read())
            {
                lst = lvw.Items.Add(dataReader["AccountID"].ToString());
                lst.SubItems.Add(dataReader["AccountNumber"].ToString());
                lst.SubItems.Add(dataReader["AccountName"].ToString());
                lst.SubItems.Add(dataReader["AccountType"].ToString());
                lst.SubItems.Add(dataReader["CurrencyName"].ToString());
                lst.SubItems.Add(dataReader["InitialDeposit"].ToString());
                lst.SubItems.Add(dataReader["Balance"].ToString());
                lst.SubItems.Add(DateTime.Parse( dataReader["DateOpened"].ToString()).ToShortDateString());
                lst.SubItems.Add(dataReader["ATMCardNumber"].ToString());
                lst.SubItems.Add(DateTime.Parse(dataReader["ATMDateIssued"].ToString()).ToShortDateString());
                lst.SubItems.Add(dataReader["ATMAccessCode"].ToString());
                lst.SubItems.Add(DateTime.Parse(dataReader["ATMExpiryDate"].ToString()).ToShortDateString());
                lst.SubItems.Add(dataReader["Surname"].ToString());
                lst.SubItems.Add(dataReader["OtherNames"].ToString());
                lst.SubItems.Add(dataReader["MaidenName"].ToString());
                lst.SubItems.Add(dataReader["TitleShortName"].ToString());
                lst.SubItems.Add(dataReader["Gender"].ToString());
                lst.SubItems.Add(DateTime.Parse( dataReader["DateOfBirth"].ToString()).ToShortDateString());
                lst.SubItems.Add(dataReader["PlaceAndCountryOfBirth"].ToString());
                lst.SubItems.Add(dataReader["Occupation"].ToString());
                lst.SubItems.Add(dataReader["Employer"].ToString());
                lst.SubItems.Add(dataReader["OfficePhone"].ToString());
                lst.SubItems.Add(dataReader["HomePhone"].ToString());
                lst.SubItems.Add(dataReader["MobilePhone"].ToString());
                lst.SubItems.Add(dataReader["POBox"].ToString());
                lst.SubItems.Add(dataReader["EMail"].ToString());
                lst.SubItems.Add(dataReader["Nationality"].ToString());

            }

            dataReader.Close();
        }

        public static void searchCustomerDetails(ListView lvw, string strSQL)
        {

            cls_DATABASE.GetRecord("SELECT * FROM vw_ACCOUNT_DETAILS WHERE " + strSQL);

            lvw.Items.Clear();
            ListViewItem lst;

            while (dataReader.Read())
            {
                lst = lvw.Items.Add(dataReader["HolderType"].ToString());
                lst.SubItems.Add(dataReader["Surname"].ToString());
                lst.SubItems.Add(dataReader["OtherNames"].ToString());
                lst.SubItems.Add(dataReader["MaidenName"].ToString());
                lst.SubItems.Add(dataReader["TitleShortName"].ToString());
                lst.SubItems.Add(dataReader["Gender"].ToString());
                lst.SubItems.Add(DateTime.Parse(dataReader["DateOfBirth"].ToString()).ToShortDateString());
                lst.SubItems.Add(dataReader["PlaceAndCountryOfBirth"].ToString());
                lst.SubItems.Add(dataReader["Occupation"].ToString());
                lst.SubItems.Add(dataReader["Employer"].ToString());
                lst.SubItems.Add(dataReader["OfficePhone"].ToString());
                lst.SubItems.Add(dataReader["HomePhone"].ToString());
                lst.SubItems.Add(dataReader["MobilePhone"].ToString());
                lst.SubItems.Add(dataReader["POBox"].ToString());
                lst.SubItems.Add(dataReader["Email"].ToString());
                lst.SubItems.Add(dataReader["Nationality"].ToString());
            }

            dataReader.Close();
        }

        #region ACCOUNT DETAILS: SAVE AND UPDATE
        private int saveAccounts()
        {

            string strSQL = "INSERT INTO tb_ACCOUNTS(AccountID,AccountNumber,AccountName,AccountType,CurrencyType,InitialDeposit,Balance,DateOpened)" +
                " VALUES(" + intAccountID + ","
                + "'" + strAccountNo + "',"
                + "'" + strAccountName + "',"
                + "" + intAccountType + ","
                + "" + intCurrencyType + ","
                + "'" + strInitialDeposit  + "',"
                + "'" + strBalance + "',"
                + "'" + dtDateOpened + "')";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        private int updateAccounts()
        {
            string strSQL = "UPDATE tb_ACCOUNTS SET " +
                "AccountNumber ='" + strAccountNo + "'," +
                "AccountName ='" + strAccountName + "'," +
                "AccountType =" + intAccountType + "," +
                "CurrencyType =" + intCurrencyType + "," +
                "InitialDeposit ='" + strInitialDeposit  + "'," +
                "Balance ='" + strBalance + "'," +
                "DateOpened ='" + dtDateOpened + "'" +
                " WHERE AccountID=" + intAccountID;

            return cls_DATABASE.SaveRecord(strSQL);
        }

        # endregion

        #region IDENTIFICATION DETAILS: SAVE AND UPDATE
        private int saveIdentificationDetails()
        {

            string strSQL = "INSERT INTO tb_IDENTIFICATION_DETAILS(IdentificationDetailID,IdentificationTypeID,IdentificationNo,DateIssued,IssuedAt,IssuedBy,ResidencePermitNo)" +
                " VALUES(" + intIdentificationDetailID + ","
                + "" + intIdentificationTypeID + ","
                + "'" + strIdentificationNo + "',"
                + "'" + dtDateIssued + "',"
                + "'" + strIssuedAt + "',"
                + "'" + strIssuedBy + "',"
                + "'" + strResidencePermitNo + "')";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        private  int updateIdentificationDetails()
        {
            string strSQL = "UPDATE tb_IDENTIFICATION_DETAILS SET " +
                "IdentificationTypeID =" + intIdentificationTypeID + "," +
                "IdentificationNo ='" + strIdentificationNo + "'," +
                "DateIssued ='" + dtDateIssued + "'," +
                "IssuedAt ='" + strIssuedAt + "'," +
                "IssuedBy ='" + strIssuedBy + "'," +
                "ResidencePermitNo ='" + strResidencePermitNo + "'" +
                " WHERE IdentificationDetailID=" + intIdentificationDetailID;

            return cls_DATABASE.SaveRecord(strSQL);
        }
        #endregion


        #region ACCOUNT HOLDERS: SAVE AND UPDATE
        private int saveAccountHolders()
        {
            string strSQL = "INSERT INTO tb_ACCOUNT_HOLDERS(AccountID,Surname,OtherNames,MaidenName,TitleID,Gender,DateOfBirth,PlaceAndCountryOfBirth,Nationality,Occupation,Employer,OfficePhone,HomePhone,MobilePhone,POBox,EMail,Picture,DigitalSign,HolderType,IdentificationDetailsID)" +
                " VALUES(" + intAccountID  + ","
                + "'" + strSurname  + "',"
                + "'" + strOtherNames  + "',"
                + "'" + strMaidenName + "',"
                + "" + intTitleID  + ","
                + "" + intGender  + ","
                + "'" + dtdateOfBirth  + "',"
                + "'" + strPlaceOfBirth + "',"
                + "'" + strNationality + "',"
                + "'" + strOccupation  + "',"
                + "'" + strEmployer  + "',"
                + "'" + strOfficePhone  + "',"
                + "'" + strHomePhone + "',"
                + "'" + strMobilePhone  + "',"
                + "'" + strPOBox + "',"
                + "'" + strEmail + "',"
                + "'" + strPicture   + "',"
                + "'" + strDigitalSign  + "',"
                + "" + intHolderType  + ","
                + "" + intIdentificationDetailID + ")";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        
        private  int updateAccountHolders()
        {
            string strSQL = "UPDATE tb_ACCOUNT_HOLDERS SET " +
                "Surname ='" + strSurname + "'," +
                "OtherNames ='" + strOtherNames + "'," +
                "MaidenName ='" + strMaidenName + "'," +
                "TitleID =" + intTitleID + "," +
                "Gender =" + intGender + "," +
                "DateOfBirth ='" + dtdateOfBirth + "'," +
                "PlaceAndCountryOfBirth ='" + strPlaceOfBirth + "'," +
                "Nationality ='" + strNationality + "'," +
                "Occupation ='" + strOccupation + "'," +
                "Employer ='" + strEmployer + "'," +
                "OfficePhone ='" + strOfficePhone + "'," +
                "HomePhone ='" + strHomePhone + "'," +
                "MobilePhone ='" + strMobilePhone + "'," +
                "POBox ='" + strPOBox+ "'," +
                "EMail ='" + strEmail + "'," +
                "Picture ='" + strPicture + "'," +
                "DigitalSign ='" + strDigitalSign  + "'," +
                "HolderType =" + intHolderType + "," +
                "IdentificationDetailsID =" + intIdentificationDetailID + "" +
                //"Picture='" + strPicture + "'," +
                //"DigitalSign='" + strDigitalSign  + "'," +
                " WHERE AccountID=" + intAccountID;

            return cls_DATABASE.SaveRecord(strSQL);
        }

        #endregion

        #region ATM CARD: SAVE AND UPDATE
        private  int saveATMCard()
        {

            string strSQL = "INSERT INTO tb_ATM_CARDS(ATMCardNumber,AccountID,ATMAccessCode,ATMDateIssued,ATMExpiryDate)" +
                " VALUES('" + strATMCardNo + "',"
                + "" + intAccountID  + ","
                + "'" + strATMAccessCode  + "',"
                + "'" + dtATMIssuedDate  + "',"
                + "'" + dtATMExpiryDate  + "')";

            return cls_DATABASE.SaveRecord(strSQL);
        }
        private  int updateATMCard()
        {
            string strSQL = "UPDATE tb_ATM_CARDS SET " +
                "ATMCardNumber ='" + strATMCardNo + "'," +
                "ATMAccessCode ='" + strATMAccessCode + "'," +
                "ATMDateIssued ='" + dtATMIssuedDate + "'," +
                "ATMExpiryDate ='" + dtATMExpiryDate + "'" +
                " WHERE AccountID=" + intAccountID;

            return cls_DATABASE.SaveRecord(strSQL);
        }
        #endregion

        #region SAVE AND UPDATE ALL
        public int saveAll()
        {
            if (saveAccounts() == 1 && saveIdentificationDetails() == 1 && saveAccountHolders() == 1 && saveATMCard() == 1){return 1;}
            else{return 0;}

        }

        public int updateAll()
        {
            if (updateAccounts() == 1 && updateIdentificationDetails() == 1 && updateAccountHolders() == 1 && updateATMCard() == 1){return 1;}
            //if ( updateIdentificationDetails() == 1 && updateAccountHolders() == 1 && updateATMCard() == 1) { return 1; }
            else{return 0;}
        }
        #endregion

        public static void loadAccountDetailsReport(string strSQL, ReportViewer rdlcviewer,string strReportEmbeddedRessource,string strReportDataSourceName,int intAccountID)
        {
            if (intAccountID == 0){cls_DATABASE.GetRecord("SELECT * FROM vw_ACCOUNT_DETAILS WHERE " + strSQL);}
            else
            {cls_DATABASE.GetRecord("SELECT * FROM vw_ACCOUNT_DETAILS WHERE AccountID = " + intAccountID + " AND "+ strSQL);}

            ds_TABLES_obj.Tables[0].Clear();
            ds_TABLES_obj.Tables[0].Load(dataReader);
            rdlcviewer.LocalReport.ReportEmbeddedResource = strReportEmbeddedRessource;
            ReportDataSource reportDataSource = new ReportDataSource();
            reportDataSource.Name = strReportDataSourceName;
            reportDataSource.Value=ds_TABLES_obj.Tables[0];
            rdlcviewer.LocalReport.DataSources.Add(reportDataSource);
            rdlcviewer.RefreshReport();
            dataReader.Close();

        }

        public static void loadCustomerDetailsReport(string strSQL, ReportViewer rdlcviewer, string strReportEmbeddedRessource, string strReportDataSourceName, int intCustomerID)
        {
            if (intCustomerID == 0) { cls_DATABASE.GetRecord("SELECT * FROM vw_ACCOUNT_DETAILS WHERE " + strSQL); }
            else
            { cls_DATABASE.GetRecord("SELECT * FROM vw_ACCOUNT_DETAILS WHERE AccountHolderID = " + intCustomerID + " AND " + strSQL); }

            ds_TABLES_obj.Tables[0].Clear();
            ds_TABLES_obj.Tables[0].Load(dataReader);
            rdlcviewer.LocalReport.ReportEmbeddedResource = strReportEmbeddedRessource;
            ReportDataSource reportDataSource = new ReportDataSource();
            reportDataSource.Name = strReportDataSourceName;
            reportDataSource.Value = ds_TABLES_obj.Tables[0];
            rdlcviewer.LocalReport.DataSources.Add(reportDataSource);
            rdlcviewer.RefreshReport();
            dataReader.Close();

        }

        public static int AutogenID()
        {
            cls_DATABASE.GetRecord("SELECT AccountID FROM tb_ACCOUNTS ORDER BY AccountID DESC");
            int intResult=0;

            if (dataReader.Read())
            {
                intResult = Convert.ToInt32(dataReader["AccountID"]);
                return intResult + 1;
            }else{return 1;}
        }

        public static int AutogenID(int intID)
        {
            cls_DATABASE.GetRecord("SELECT IdentificationDetailID FROM tb_IDENTIFICATION_DETAILS ORDER BY IdentificationDetailID DESC");
            int intResult = 0;

            if (dataReader.Read())
            {
                intResult = Convert.ToInt32(dataReader["IdentificationDetailID"]);
                return intResult + 1;
            }else{return 1;}
        }

        public static string AutoGenNo()
        {
            cls_DATABASE.GetRecord("SELECT AccountNumber FROM tb_ACCOUNTS ORDER BY AccountID DESC");
            if (cls_DATABASE.dataReader.Read())
            {
                string strAccountNo = cls_DATABASE.dataReader["AccountNumber"].ToString();
                int intLastNo = int.Parse(strAccountNo.Substring(2, 10)) + 1;
                return "A-" + intLastNo.ToString("0000000000");
            }else{return "A-0000000001";}
        }

        public static string AutoGenCardNo()
        {
            cls_DATABASE.GetRecord("SELECT ATMCardNumber FROM tb_ATM_CARDS ORDER BY ATMCardID DESC");
            if (cls_DATABASE.dataReader.Read())
            {
                string strATMCardNo = cls_DATABASE.dataReader["ATMCardNumber"].ToString();
                int intLastNo = int.Parse(strATMCardNo.Substring(4, 10)) + 1;
                return "ATM-" + intLastNo.ToString("0000000000");
            }
            else { return "ATM-0000000001"; }
        }
    }
}
