/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Windows.Forms;

namespace BMS.CLASSES
{
    class cls_CUSTOMER_QUERIES:cls_GLOBAL_VARIABLES 
    {
        #region Fields
        private int intCustomerQueryID;
        private string strCustomerQueryNo;
        private int intAccountID;
        private string strQuery;
        private int intStatus;
        private DateTime dtDateRecived;
        #endregion

        #region Properties
        public int IntCustomerQueryID
        {
            get { return intCustomerQueryID; }
            set { intCustomerQueryID = value; }
        }

        public string StrCustomerQueryNo
        {
            get { return strCustomerQueryNo; }
            set { strCustomerQueryNo = value; }
        }

        public int IntAccountID
        {
            get { return intAccountID; }
            set { intAccountID = value; }
        }

        public string StrQuery
        {
            get { return strQuery; }
            set { strQuery = value; }
        }

        public int IntStatus
        {
            get { return intStatus; }
            set { intStatus = value; }
        }

        public DateTime DtDateRecived
        {
            get { return dtDateRecived; }
            set { dtDateRecived = value; }
        }
        #endregion

        public static void loadQueries(ComboBox cbo, int intAccountID)
        {
            cls_DATABASE.GetRecord("SELECT CustomerQueryID,CustomerQueryNo FROM tb_CUSTOMER_QUERIES WHERE AccountID=" + intAccountID);
            cls_LIST_ITEM cls_LIST_ITEM_obj = new cls_LIST_ITEM();

            cbo.Items.Clear();

            while (dataReader.Read())
            {
                cls_LIST_ITEM_obj = new cls_LIST_ITEM(dataReader["CustomerQueryNo"].ToString(), Convert.ToInt32(cls_GLOBAL_VARIABLES.dataReader["CustomerQueryID"]));
                cbo.Items.Add(cls_LIST_ITEM_obj);
            }
            dataReader.Close();
        }

        public void loadCustomerQueryDetails(int intCustomerQueryID)
        {
            cls_DATABASE.GetRecord("SELECT * FROM tb_CUSTOMER_QUERIES WHERE CustomerQueryID=" + intCustomerQueryID);

            if (dataReader.Read())
            {
                intCustomerQueryID = Convert.ToInt32(dataReader["CustomerQueryID"]);
                strCustomerQueryNo = dataReader["CustomerQueryNo"].ToString();
                intAccountID  = Convert.ToInt32(dataReader["AccountID"]);
                strQuery = dataReader["Query"].ToString();
                intStatus  = Convert.ToInt32(dataReader["Status"].ToString());
                dtDateRecived = DateTime.Parse(dataReader["DateReceived"].ToString());
            }
            dataReader.Close();
        }

        public int saveCustomerQuery()
        {
            string strSQL = "INSERT INTO tb_CUSTOMER_QUERIES(CustomerQueryNo,AccountID,Query,Status,DateReceived)" +
                " VALUES('" + strCustomerQueryNo  + "',"
                + "" + intAccountID + ","
                + "'" + strQuery + "',"
                + "" + intStatus  + ","
                + "'" + dtDateRecived + "')";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public int updateCustomerQuery(int intCustomerQueryID)
        {
            string strSQL = "UPDATE tb_CUSTOMER_QUERIES SET " +
                "CustomerQueryNo ='" + strCustomerQueryNo  + "'," +
                "Query ='" + strQuery  + "'," +
                "Status =" + intStatus  + "," +
                "DateReceived ='" + dtDateRecived  + "'" +
                " WHERE CustomerQueryID=" + intCustomerQueryID;

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public static string AutoGenNo()
        {
            cls_DATABASE.GetRecord("SELECT CustomerQueryNo FROM tb_CUSTOMER_QUERIES ORDER BY CustomerQueryID DESC");
            if (cls_DATABASE.dataReader.Read())
            {
                string strAccountNo = cls_DATABASE.dataReader["CustomerQueryNo"].ToString();
                int intLastNo = int.Parse(strAccountNo.Substring(1, 10)) + 1;
                return "Q" + intLastNo.ToString("0000000000");
            }
            else
            {
                return "Q0000000001";
            }
        }
    }
}
