/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Windows.Forms;

namespace BMS.CLASSES
{
    class cls_CUSTOMER_TYPES:cls_GLOBAL_VARIABLES    
    {

        #region Fields
        int intCustomerTypeID;
        string strCustomerType;
        string strDescription;
        #endregion

        #region
        public int IntCustomerTypeID
        {
            get { return intCustomerTypeID; }
            set { intCustomerTypeID = value; }
        }
        

        public string StrCustomerType
        {
            get { return strCustomerType; }
            set { strCustomerType = value; }
        }
        

        public string StrDescription
        {
            get { return strDescription; }
            set { strDescription = value; }
        }

        #endregion

        public static void loadCustomerTypes(ComboBox cbo)
        {
            cls_DATABASE.GetRecord("SELECT CustomerTypeID,CustomerType FROM tb_CUSTOMER_TYPES");
            cls_LIST_ITEM cls_LIST_ITEM_obj = new cls_LIST_ITEM();

            cbo.Items.Clear();

            while (dataReader.Read())
            {
                cls_LIST_ITEM_obj = new cls_LIST_ITEM(dataReader["CustomerType"].ToString(), Convert.ToInt32(cls_GLOBAL_VARIABLES.dataReader["CustomerTypeID"]));
                cbo.Items.Add(cls_LIST_ITEM_obj);
            }
            dataReader.Close();
        }

        public void loadCustomerTypesDetails(int intCustomerTypeID)
        {
            cls_DATABASE.GetRecord("SELECT * FROM tb_CUSTOMER_TYPES WHERE CustomerTypeID=" + intCustomerTypeID);

            if (dataReader.Read())
            {
                intCustomerTypeID = Convert.ToInt32(dataReader["CustomerTypeID"]);
                strCustomerType  = dataReader["CustomerType"].ToString();
                StrDescription = dataReader["Description"].ToString();
            }
            dataReader.Close();
        }

        public int saveCustomerTypesDetails()
        {
            string strSQL = "INSERT INTO tb_CUSTOMER_TYPES(CustomerType,Description)" +
                " VALUES('" + strCustomerType + "',"
                + "'" + strDescription + "')";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public int updateCustomerTypesDetails(int intCustomerTypeID)
        {
            string strSQL = "UPDATE tb_CUSTOMER_TYPES SET " +
                "CustomerType ='" + strCustomerType + "'," +
                "Description ='" + strDescription + "'" +
                " WHERE CustomerTypeID=" + intCustomerTypeID;

            return cls_DATABASE.SaveRecord(strSQL);
        }

    }
}
