/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Data;
using System.Data.OleDb;
using System.Windows.Forms;

namespace BMS.CLASSES
{
    class cls_DATABASE:cls_GLOBAL_VARIABLES 
    {

        //public static string strSQL;

        private static string setConnectionString()
        {
            return "Provider=Microsoft.Jet.Oledb.4.0;Data Source=" + Application.StartupPath + @"\DATABASE\BMS.mdb;Persist Security Info=False;Jet OLEDB:Database Password=GodIsGr8";
        }

        public static void setConnectionState()
        {
            if (connection.State == ConnectionState.Open){connection.Close();}
            connection.ConnectionString = setConnectionString();
        }

        public static OleDbConnection OpenConnection()
        {
            setConnectionState();
            try{connection.Open();}
            catch(OleDbException ex)
            {
                cls_UTILITY.displayMessage(ex.Message,MessageBoxIcon.Error);
            }
            return connection;
        }


        public static OleDbDataReader GetRecord(string strSQL)
        {
            command.Connection = OpenConnection();
            command.CommandText = strSQL;

            //MessageBox.Show(strSQL);

            dataReader = command.ExecuteReader();

            return dataReader;
        }

        public static int SaveRecord(string strSQL)
        {
            command.Connection = OpenConnection();
            command.CommandText = strSQL;

            //MessageBox.Show(strSQL);

            int intResult = command.ExecuteNonQuery();
            return intResult;
        }

    }
}
