/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace BMS.CLASSES
{
    class cls_FEATURES:cls_GLOBAL_VARIABLES 
    {
        #region Fields
        private int intFeatureID;
        private string strFeature;
        private static string strUserFeature;
        #endregion

        #region Properties
        public int IntFeatureID
        {
            get { return intFeatureID; }
            set { intFeatureID = value; }
        }

        public string StrFeature
        {
            get { return strFeature; }
            set { strFeature = value; }
        }

        public static string StrUserFeature
        {
            get { return cls_FEATURES.strUserFeature; }
            set { cls_FEATURES.strUserFeature = value; }
        }
        #endregion

        public static void loadFeatures(ListView lvw)
        {
            cls_DATABASE.GetRecord("SELECT FeatureID,Feature FROM tb_FEATURES");
            lvw.Items.Clear();

            ListViewItem lstView;

            while (dataReader.Read())
            {
                lstView = lvw.Items.Add(dataReader["Feature"].ToString());
                lstView.SubItems.Add(dataReader["FeatureID"].ToString());
            }
            dataReader.Close();
        }

        public static void loadFeatures(int intUserID)
        {
            cls_DATABASE.GetRecord("SELECT FeatureID FROM tb_USERS_FEATURES WHERE UserID=" + intUserID);

            arrayList.Clear();

            while (dataReader.Read())
            {
                arrayList.Add(dataReader["FeatureID"]);
            }
            dataReader.Close();
        }

    }
}
