/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Windows.Forms;

namespace BMS.CLASSES
{
    class cls_IDENTIFICATION_TYPES:cls_GLOBAL_VARIABLES 
    {
        #region Fields
        int intIdentificationTypeID;
        string strIdentificationType;
        string strDescription;
        #endregion

        #region Properties
        public int IntIdentificationTypeID
        {
            get { return intIdentificationTypeID; }
            set { intIdentificationTypeID = value; }
        }
        
        public string StrIdentificationType
        {
            get { return strIdentificationType; }
            set { strIdentificationType = value; }
        }
        
        public string StrDescription
        {
            get { return strDescription; }
            set { strDescription = value; }
        }
        #endregion

        public static void loadIdentificationType(ComboBox cbo)
        {
            cls_DATABASE.GetRecord("SELECT IdentificationTypeID,IdentificationType FROM tb_IDENTIFICATION_TYPES");
            cls_LIST_ITEM cls_LIST_ITEM_obj = new cls_LIST_ITEM();

            cbo.Items.Clear();

            while (dataReader.Read())
            {
                cls_LIST_ITEM_obj = new cls_LIST_ITEM(dataReader["IdentificationType"].ToString(), Convert.ToInt32(cls_GLOBAL_VARIABLES.dataReader["IdentificationTypeID"]));
                cbo.Items.Add(cls_LIST_ITEM_obj);
            }
            dataReader.Close();
        }

        public void loadIdentificationDetails(int intIdentificationTypeID)
        {
            cls_DATABASE.GetRecord("SELECT * FROM tb_IDENTIFICATION_TYPES WHERE identificationTypeID=" + intIdentificationTypeID);

            if (dataReader.Read())
            {
                intIdentificationTypeID  = Convert.ToInt32(dataReader["identificationTypeID"]);
                strIdentificationType  = dataReader["identificationType"].ToString();
                StrDescription = dataReader["Description"].ToString();
            }
            dataReader.Close();
        }

        public int saveIdentificationDetails()
        {
            string strSQL = "INSERT INTO tb_IDENTIFICATION_TYPES(IdentificationType,Description)" +
                " VALUES('" + strIdentificationType + "',"
                + "'" + strDescription + "')";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public int updateIdentificationDetails(int intIdentificationTypeID)
        {
            string strSQL = "UPDATE tb_IDENTIFICATION_TYPES SET " +
                "IdentificationType ='" + strIdentificationType + "'," +
                "Description ='" + strDescription + "'" +
                " WHERE IdentificationTypeID=" + intIdentificationTypeID;

            return cls_DATABASE.SaveRecord(strSQL);
        }


    }
}
