/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;

namespace BMS.CLASSES
{
    class cls_OPTIONS:cls_GLOBAL_VARIABLES 
    {
        #region Fields
        private int intOptionID;
        private string strAccountNo;
        private string strATMCardNo;
        private string strChequeBookNo;
        private string strChequeNo;
        //private int intNoOfCheques;
        #endregion

        #region Properties
        public int IntOptionID
        {
            get { return intOptionID; }
            set { intOptionID = value; }
        }
        public string StrAccountNo
        {
            get { return strAccountNo; }
            set { strAccountNo = value; }
        }

        public string StrATMCardNo
        {
            get { return strATMCardNo; }
            set { strATMCardNo = value; }
        }

        public string StrChequeBookNo
        {
            get { return strChequeBookNo; }
            set { strChequeBookNo = value; }
        }

        public string StrChequeNo
        {
            get { return strChequeNo; }
            set { strChequeNo = value; }
        }

        public int IntNoOfCheques
        {
            get { return intNoOfCheques; }
            set { intNoOfCheques = value; }
        }
        #endregion


        public void OptionDetails()
        {
            cls_DATABASE.GetRecord("SELECT * FROM tb_OPTIONS");

            if (dataReader.Read())
            {
                strAccountNo = dataReader["AccountNo"].ToString();
                strATMCardNo  = dataReader["ATMCardNo"].ToString();
                strChequeBookNo  = dataReader["ChequeBookNo"].ToString();
                strChequeNo  = dataReader["ChequeNo"].ToString();
                intOptionID = Convert.ToInt32(dataReader["OptionID"].ToString());
                intNoOfCheques = Convert.ToInt32(dataReader["NoOfCheques"].ToString());
            }
            dataReader.Close();
        }

        public static int  LoadProgramSettings()
        {
            cls_DATABASE.GetRecord("SELECT * FROM tb_OPTIONS");
            if (dataReader.Read())
            {
                return Convert.ToInt32(dataReader["NoOfCheques"].ToString());
                dataReader.Close();
            }
            else
            {
                return 0;
            }
            
        }

        public int saveOptionDetails()
        {
            string strSQL = "INSERT INTO tb_OPTIONS(AccountNo,ATMCardNo,ChequeBookNo,NoOfCheques,ChequeNo)" +
                " VALUES ( '" + StrAccountNo + "',"
                + "'" + strATMCardNo + "',"
                + "'" + strChequeBookNo + "',"
                + "" + intNoOfCheques  + ","
                + "'" + strChequeNo + "')";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public int updateOptionDetails(int intOptionID)
        {
            string strSQL = "UPDATE tb_OPTIONS SET " +
                "AccountNo ='" + strAccountNo + "'," +
                "ATMCardNo ='" + strATMCardNo + "'," +
                "ChequeBookNo ='" + strChequeBookNo  + "'," +
                "NoOfCheques =" + intNoOfCheques  + "," +
                "ChequeNo ='" + strChequeNo + "'" +
                " WHERE OptionID=" + intOptionID;

            return cls_DATABASE.SaveRecord(strSQL);
        }

    }
}
