/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Windows.Forms;

namespace BMS.CLASSES
{
    class cls_TITLE_TYPES:cls_GLOBAL_VARIABLES 
    {
        #region Fields
        int intTitleID;
        string strTitleShortName;
        string strTitleName;
        string strDescription;
        #endregion

        #region Properties
        public int IntTitleID
        {
            get { return intTitleID; }
            set { intTitleID = value; }
        }

        public string StrTitleShortName
        {
            get { return strTitleShortName; }
            set { strTitleShortName = value; }
        }

        public string StrTitleName
        {
            get { return strTitleName; }
            set { strTitleName = value; }
        }

        public string StrDescription
        {
            get { return strDescription; }
            set { strDescription = value; }
        }
        #endregion

        public static void loadTitleTypes(ComboBox cbo)
        {
            cls_DATABASE.GetRecord("SELECT TitleID,TitleShortName FROM tb_TITLE_TYPES");
            cls_LIST_ITEM cls_LIST_ITEM_obj = new cls_LIST_ITEM();

            cbo.Items.Clear();

            while (dataReader.Read())
            {
                cls_LIST_ITEM_obj = new cls_LIST_ITEM(dataReader["TitleShortName"].ToString(), Convert.ToInt32(cls_GLOBAL_VARIABLES.dataReader["TitleID"]));
                cbo.Items.Add(cls_LIST_ITEM_obj);
            }
            dataReader.Close();
        }

        public void loadTitleTypesDetails(int intTitleID)
        {
            cls_DATABASE.GetRecord("SELECT * FROM tb_TITLE_TYPES WHERE TitleID=" + intTitleID);

            if (dataReader.Read())
            {
                intTitleID = Convert.ToInt32(dataReader["TitleID"]);
                strTitleShortName = dataReader["TitleShortName"].ToString();
                strTitleName = dataReader["TitleName"].ToString();
                StrDescription = dataReader["Description"].ToString();
            }
            dataReader.Close();
        }

        public int saveTitleDetails()
        {
            string strSQL = "INSERT INTO tb_TITLE_TYPES(TitleShortName,TitleName,Description)" +
                " VALUES('" + strTitleShortName + "',"
                + "'" + strTitleName + "',"
                + "'" + strDescription + "')";

            return cls_DATABASE.SaveRecord(strSQL);
        }

        public int updateTitleDetails(int intTitleID)
        {
            string strSQL = "UPDATE tb_TITLE_TYPES SET " +
                "TitleShortName ='" + strTitleShortName + "'," +
                "TitleName ='" + strTitleName + "'," +
                "Description ='" + strDescription + "'" +
                " WHERE TitleID=" + intTitleID;

            return cls_DATABASE.SaveRecord(strSQL);
        }



    }
}
