/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/


using System;
using System.Windows.Forms;
using System.Diagnostics;

using BMS.CLASSES;
using Fireball.Docking;

namespace BMS.FORMS
{
    public partial class frm_MAIN : Form
    {

        cls_USERS cls_USERS_OBJ = new cls_USERS();
        public static frm_MAIN frm_MAIN_obj;

        public frm_MAIN()
        {
            InitializeComponent();
        }

        private void frm_MAIN_Load(object sender, EventArgs e)
        {
            frm_MAIN_obj = this;
            frm_SPLASH_SCREEN frm_SPLASH_SCREEN_obj = new frm_SPLASH_SCREEN();
            frm_SPLASH_SCREEN_obj.ShowDialog();
            //frm_LOGIN frm_LOGIN_OBJ = new frm_LOGIN();
            //frm_LOGIN_OBJ.ShowDialog();
        }

        private void usersToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Users();
        }

        private void Users()
        {
            foreach (Form frm in this.MdiChildren)
            {
                if (frm is frm_USERS) { frm.Focus(); return; }
            }
            frm_USERS frm_USERS_obj = new frm_USERS();
            frm_USERS_obj.Show(dockContainer, DockState.Document);
        }

        private void bankProfileToolStripMenuItem_Click(object sender, EventArgs e)
        {
            bankProfile();
        }

        private void bankProfile()
        {
            frm_BANK_PROFILE frm_BANK_PROFILE_obj = new frm_BANK_PROFILE();
            frm_BANK_PROFILE_obj.ShowDialog();
        }

        private void accountsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            accounts();
        }

        private void accounts()
        {
            foreach (Form frm in this.MdiChildren)
            {
                if (frm is frm_BANK_ACCOUNTS) { frm.Focus(); return; }
            }
            frm_BANK_ACCOUNTS frm_BANK_ACCOUNTS_obj = new frm_BANK_ACCOUNTS();
            //frm_BANK_ACCOUNTS_obj.MdiParent = this;
            frm_BANK_ACCOUNTS_obj.Show(dockContainer, DockState.Document);
        }

        private void accountTypesToolStripMenuItem_Click(object sender, EventArgs e)
        {
            accountTypes();
        }

        private void accountTypes()
        {
            frm_ACCOUNT_TYPES frm_ACCOUNT_TYPES_obj = new frm_ACCOUNT_TYPES();
            frm_ACCOUNT_TYPES_obj.ShowDialog();
        }

        private void currencyTypesToolStripMenuItem_Click(object sender, EventArgs e)
        {
            currencyTypes();
        }

        private void currencyTypes()
        {
            frm_CURRENCY_TYPES frm_CURRENCY_TYPES_obj = new frm_CURRENCY_TYPES();
            frm_CURRENCY_TYPES_obj.ShowDialog();
        }

        private void customerTypesToolStripMenuItem_Click(object sender, EventArgs e)
        {
            customerTypes();
        }

        private void customerTypes()
        {
            frm_CUSTOMER_TYPES frm_CUSTOMER_TYPES_obj = new frm_CUSTOMER_TYPES();
            frm_CUSTOMER_TYPES_obj.ShowDialog();
        }

        private void identificationTypesToolStripMenuItem_Click(object sender, EventArgs e)
        {
            identificationTypes();
        }

        private void identificationTypes()
        {
            frm_IDENTIFICATION_TYPES frm_IDENTIFICATION_TYPES_obj = new frm_IDENTIFICATION_TYPES();
            frm_IDENTIFICATION_TYPES_obj.ShowDialog();
        }


        private void titleTypesToolStripMenuItem_Click(object sender, EventArgs e)
        {
            titleTypes();
        }

        private void titleTypes()
        {
            frm_TITLE_TYPES frm_TITLE_TYPES_obj = new frm_TITLE_TYPES();
            frm_TITLE_TYPES_obj.ShowDialog();
        }

        private void customerQueriesToolStripMenuItem_Click(object sender, EventArgs e)
        {
            customerQueries();
        }

        private void chequeBook()
        {
            foreach (Form frm in this.MdiChildren)
            {
                if (frm is frm_CHEQUE_BOOK) { frm.Focus(); return; }
            }
            frm_CHEQUE_BOOK frm_CHEQUE_BOOK_obj = new frm_CHEQUE_BOOK();
            frm_CHEQUE_BOOK_obj.Show(dockContainer, DockState.Document);
        }

        private void Transfer()
        {
            foreach (Form frm in this.MdiChildren)
            {
                if (frm is frm_TRANSFER) { frm.Focus(); return; }
            }
            frm_TRANSFER frm_TRANSFER_obj = new frm_TRANSFER();
            frm_TRANSFER_obj.Show(dockContainer, DockState.Document);
        }

        private void customerQueries()
        {
            foreach (Form frm in this.MdiChildren)
            {
                if (frm is frm_CUSTOMER_QUERIES) { frm.Focus(); return; }
            }
            frm_CUSTOMER_QUERIES frm_CUSTOMER_QUERIESS_obj = new frm_CUSTOMER_QUERIES();
            frm_CUSTOMER_QUERIESS_obj.Show(dockContainer, DockState.Document);
        }

        private void transactionTypesToolStripMenuItem_Click(object sender, EventArgs e)
        {
            transactionTypes();
        }

        private void transactionTypes()
        {
            frm_TRANSACTION_TYPES frm_TRANSACTION_TYPES_obj = new frm_TRANSACTION_TYPES();
            frm_TRANSACTION_TYPES_obj.ShowDialog();
        }

        private void cashDepositToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            cashDeposit();
        }

        private void cashDeposit()
        {
            foreach (Form frm in this.MdiChildren)
            {
                if (frm is frm_CASH_DEPOSIT) { frm.Focus(); return; }
            }
            frm_CASH_DEPOSIT frm_CASH_DEPOSIT_obj = new frm_CASH_DEPOSIT();
            frm_CASH_DEPOSIT_obj.Show(dockContainer, DockState.Document);
        }

        private void chequeDepositToolStripMenuItem_Click(object sender, EventArgs e)
        {
            chequeDeposit();
        }

        private void chequeDeposit()
        {
            foreach (Form frm in this.MdiChildren)
            {
                if (frm is frm_CHEQUE_DEPOSIT) { frm.Focus(); return; }
            }
            frm_CHEQUE_DEPOSIT frm_CHEQUE_DEPOSIT_obj = new frm_CHEQUE_DEPOSIT();
            frm_CHEQUE_DEPOSIT_obj.Show(dockContainer, DockState.Document);
        }

        private void withdrawalToolStripMenuItem_Click(object sender, EventArgs e)
        {
            withdrawal();
        }

        private void withdrawal()
        {
            foreach (Form frm in this.MdiChildren)
            {
                if (frm is frm_WITHDRAWAL) { frm.Focus(); return; }
            }
            frm_WITHDRAWAL frm_WITHDRAWAL_obj = new frm_WITHDRAWAL();
            frm_WITHDRAWAL_obj.Show(dockContainer, DockState.Document);
        }

        private void calculatorToolStripMenuItem_Click(object sender, EventArgs e)
        {
            calculator();
        }

        private void calculator()
        {
            try { Process.Start("calc.exe"); }
            catch (Exception ex) { cls_UTILITY.displayMessage(ex.Message, MessageBoxIcon.Error); }
        }

        private void calendarToolStripMenuItem_Click(object sender, EventArgs e)
        {
            notepad();
        }

        private void notepad()
        {
            try { Process.Start("Notepad.exe"); }
            catch (Exception ex) { cls_UTILITY.displayMessage(ex.Message, MessageBoxIcon.Error); }
        }

        private void notepadToolStripMenuItem_Click(object sender, EventArgs e)
        {
            wordpad();
        }

        private void wordpad()
        {
            try { Process.Start("Write.exe"); }
            catch (Exception ex) { cls_UTILITY.displayMessage(ex.Message, MessageBoxIcon.Error); }
        }

        private void mToolStripMenuItem_Click(object sender, EventArgs e)
        {
            paint();
        }

        private void paint()
        {
            try { Process.Start("MSPaint.exe"); }
            catch (Exception ex) { cls_UTILITY.displayMessage(ex.Message, MessageBoxIcon.Error); }
        }

        private void bankBranchesToolStripMenuItem_Click(object sender, EventArgs e)
        {
            bankBranches();
        }

        private void bankBranches()
        {
            foreach (Form frm in this.MdiChildren)
            {
                if (frm is frm_BANK_BRANCHES) { frm.Focus(); return; }
            }
            frm_BANK_BRANCHES frm_BANK_BRANCHES_obj = new frm_BANK_BRANCHES();
            frm_BANK_BRANCHES_obj.Show(dockContainer,DockState.Document );
        }

        private void optionsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            options();
        }

        private void options()
        {
            frm_OPTIONS frm_OPTIONS_obj = new frm_OPTIONS();
            frm_OPTIONS_obj.ShowDialog();
        }

        private void logOffToolStripMenuItem_Click(object sender, EventArgs e)
        {
            logOff();
        }

        private void logOff()
        {
            if (cls_UTILITY.displayMessage("Are you sure you want to log off ?") == true)
            {
                saveUserAccessLogOut(cls_GLOBAL_VARIABLES.intUserID);
                frm_LOGIN frm_LOGIN_obj = new frm_LOGIN();
                frm_LOGIN_obj.ShowDialog();
            }
        }

        private void quitApplicationToolStripMenuItem_Click(object sender, EventArgs e)
        {
            quitApplication();
        }

        private void quitApplication()
        {
            if (cls_UTILITY.displayMessage("Are you sure you want to exit ?") == true)
            {
                saveUserAccessLogOut(cls_GLOBAL_VARIABLES.intUserID);
                Application.Exit();
            }
        }

        private void changePasswordToolStripMenuItem_Click(object sender, EventArgs e)
        {
            changePassword();
        }

        private void changePassword()
        {
            frm_CHANGE_PASSWORD frm_CHANGE_PASSWORD_obj = new frm_CHANGE_PASSWORD();
            frm_CHANGE_PASSWORD_obj.ShowDialog();
        }

        private void accountSearchToolStripMenuItem_Click(object sender, EventArgs e)
        {
            accountReport();
        }

        private void accountReport()
        {
            foreach (Form frm in this.MdiChildren)
            {
                if (frm is frm_BANK_ACCOUNT_SEARCH) { frm.Focus(); return; }
            }
            frm_BANK_ACCOUNT_SEARCH frm_BANK_ACCOUNT_SEARCH_obj = new frm_BANK_ACCOUNT_SEARCH();
            frm_BANK_ACCOUNT_SEARCH_obj.Show(dockContainer, DockState.Document);
        }

        private void customerReportToolStripMenuItem_Click(object sender, EventArgs e)
        {
            customerReport();
        }

        private void customerReport()
        {
            foreach (Form frm in this.MdiChildren)
            {
                if (frm is frm_CUSTOMER_SEARCH) { frm.Focus(); return; }
            }
            frm_CUSTOMER_SEARCH frm_CUSTOMER_SEARCH_obj = new frm_CUSTOMER_SEARCH();
            frm_CUSTOMER_SEARCH_obj.Show(dockContainer, DockState.Document);
        }

        private void transactionsToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            transactions();
        }

        private void transactions()
        {
            foreach (Form frm in this.MdiChildren)
            {
                if (frm is frm_TRANSACTIONS) { frm.Focus(); return; }
            }
            frm_TRANSACTIONS frm_TRANSACTIONS_obj = new frm_TRANSACTIONS();
            frm_TRANSACTIONS_obj.Show(dockContainer, DockState.Document);
        }

        private void accountStatement()
        {
            foreach (Form frm in this.MdiChildren)
            {
                if (frm is frm_BANK_STATEMENTS ) { frm.Focus(); return; }
            }
            frm_BANK_STATEMENTS frm_BANK_STATEMENTS_obj = new frm_BANK_STATEMENTS();
            frm_BANK_STATEMENTS_obj.Show(dockContainer, DockState.Document);
        }

        private void lockApplicationToolStripMenuItem_Click(object sender, EventArgs e)
        {
            lockApplication();
        }

        private void lockApplication()
        {
            if (cls_UTILITY.displayMessage("Are you sure you want to lock application ?") == true)
            {
                saveUserAccessLogOut(cls_GLOBAL_VARIABLES.intUserID);
                frm_LOGIN frm_LOGIN_obj = new frm_LOGIN();
                frm_LOGIN_obj.ShowDialog();
            }
        }

        private void saveUserAccessLogOut(int intUserID)
        {
            cls_USERS_OBJ.StrWorkStationName = cls_UTILITY.getComputerName();
            cls_USERS_OBJ.saveUserAccessLogOut(intUserID);
            cls_USERS_OBJ.updateUserLogOutDetails(intUserID);
        }

        private void frm_MAIN_FormClosed(object sender, FormClosedEventArgs e)
        {
                if (cls_GLOBAL_VARIABLES.blLoginStatus == true)
                {
                    saveUserAccessLogOut(cls_GLOBAL_VARIABLES.intUserID);
                }
                Application.Exit();
        }


        private void picChangePassword_Click(object sender, EventArgs e)
        {
            if (mnuChangePassword.Enabled == true){changePassword();}
        }

        private void picLogOff_Click(object sender, EventArgs e){logOff();}

        private void picLockApplication_Click(object sender, EventArgs e){lockApplication();}

        private void picExitApplication_Click(object sender, EventArgs e){quitApplication();}

        private void picCashDeposit_Click(object sender, EventArgs e)
        {
            if (mnuCashDeposit.Enabled == true){cashDeposit();}
        }

        private void picChequeDeposit_Click(object sender, EventArgs e)
        {
            if (mnuChequeDeposit.Enabled == true){chequeDeposit();}
        }

        private void picWithdrawal_Click(object sender, EventArgs e)
        {
            if (mnuWithdrawal.Enabled == true){withdrawal();}
        }

        private void picBankProfile_Click(object sender, EventArgs e)
        {
            if (mnuBankProfile.Enabled == true){bankProfile();}
        }

        private void picBankBranches_Click(object sender, EventArgs e)
        {
            if (mnuBankBranches.Enabled == true){bankBranches();}
        }

        private void picBankAccounts_Click(object sender, EventArgs e)
        {
            if (mnuBankAccounts.Enabled == true) { accounts(); }
        }
        private void picCustomerQueries_Click(object sender, EventArgs e)
        {
            if (mnuCustomerQueries.Enabled == true) { customerQueries(); }
        }

        private void picUsers_Click(object sender, EventArgs e)
        {
            if (mnuUsers.Enabled == true) { Users(); }
        }

        private void picAccountReport_Click(object sender, EventArgs e)
        {
            if (mnuAccountReport.Enabled == true) { accountReport(); }
        }

        private void picCustomerReport_Click(object sender, EventArgs e)
        {
            if (mnuCustomerReport.Enabled == true) { customerReport(); }
        }

        private void picAllTransactions_Click(object sender, EventArgs e)
        {
            if (mnuAllTransactions.Enabled == true) { transactions(); }
        }

        private void picCalculator_Click(object sender, EventArgs e)
        {
            if (mnuCalc.Enabled == true) { calculator(); }
        }

        private void picNotepad_Click(object sender, EventArgs e)
        {
            if (mnuNotepad.Enabled == true) { notepad(); }
        }

        private void picWordpad_Click(object sender, EventArgs e)
        {
            if (mnuWordPad.Enabled == true) { wordpad(); }
        }

        private void picPaint_Click(object sender, EventArgs e)
        {
            if (mnuPaint.Enabled == true) { paint(); }
        }

        private void picOptions_Click(object sender, EventArgs e)
        {
            if (mnuProgramSettings.Enabled == true) { options(); }
        }

        private void picAccountTypes_Click(object sender, EventArgs e)
        {
            if (mnuAccountTypes.Enabled == true) { accountTypes(); }
        }

        private void picCurrencyTypes_Click(object sender, EventArgs e)
        {
            if (mnuCurrencyTypes.Enabled == true) { currencyTypes(); }
        }

        private void picCustomerTypes_Click(object sender, EventArgs e)
        {
            if (mnuCustomerTypes.Enabled == true) { customerTypes(); }
        }

        private void picIdentificationTypes_Click(object sender, EventArgs e)
        {
            if (mnuIdentificationTypes.Enabled == true) { identificationTypes(); }
        }

        private void picTitleTypes_Click(object sender, EventArgs e)
        {
            if (mnuTitleTypes.Enabled == true) { titleTypes(); }
        }

        private void picTransactionTypes_Click(object sender, EventArgs e)
        {
            if (mnuTransactionTypes.Enabled == true) { transactionTypes(); }
        }

        private void picChequeBook_Click(object sender, EventArgs e)
        {
            if (mnuChequeBooks.Enabled == true) { chequeBook(); }
        }

        private void toolStripMenuItem54_Click(object sender, EventArgs e)
        {
            paint();
        }

        private void mnuChequeBooks_Click(object sender, EventArgs e)
        {
            chequeBook();
        }

        private void disableFeatures()
        {
            foreach (ToolStripItem item in menuStrip.Items)
            {
                if (item is ToolStripMenuItem)
                {
                    foreach (ToolStripItem newItem in ((ToolStripMenuItem)item).DropDownItems)
                    {
                        if (newItem is ToolStripMenuItem)
                        {
                            newItem.Enabled = false;
                        }
                    }
                }
            }

            mnuLogOff.Enabled = true;
            mnuLockApplication.Enabled = true;
            mnuQuitApplication.Enabled = true;
            mnuContents.Enabled = true;
        }

        public void loadFeatures(int intUserID)
        {
            disableFeatures();
            cls_FEATURES.loadFeatures(intUserID);
            foreach (int x in cls_GLOBAL_VARIABLES.arrayList)
            {
                switch (x)
                {
                    case 1:
                        mnuChangePassword.Enabled = true;
                        break;

                    case 2:
                        mnuCashDeposit.Enabled = true;
                        break;

                    case 3:
                        mnuChequeDeposit.Enabled = true;
                        break;

                    case 4:
                        mnuTransfer.Enabled = true;
                        break;

                    case 5:
                        mnuWithdrawal.Enabled  = true;
                        break;

                    case 6:
                        mnuAccountReport.Enabled = true;
                        break;

                    case 7:
                        mnuCustomerReport.Enabled = true;
                        break;

                    case 8:
                        mnuAllTransactions.Enabled = true;
                        break;

                    case 9:
                        mnuBankProfile.Enabled = true;
                        break;

                    case 10:
                        mnuBankBranches.Enabled = true;
                        break;

                    case 11:
                        mnuBankAccounts.Enabled = true;
                        break;

                    case 12:
                        mnuCustomerQueries.Enabled = true;
                        break;

                    case 13:
                        mnuUsers.Enabled = true;
                        break;

                    case 14:
                        mnuProgramSettings.Enabled = true;
                        break;

                    case 15:
                        mnuAccountTypes.Enabled = true;
                        break;

                    case 16:
                        mnuCurrencyTypes.Enabled = true;
                        break;

                    case 17:
                        mnuCustomerTypes.Enabled = true;
                        break;

                    case 18:
                        mnuIdentificationTypes.Enabled = true;
                        break;

                    case 19:
                        mnuTitleTypes.Enabled = true;
                        break;

                    case 20:
                        mnuTransactionTypes.Enabled = true;
                        break;

                    case 21:
                        mnuCalc.Enabled = true;
                        break;

                    case 22:
                        mnuNotepad.Enabled = true;
                        break;

                    case 23:
                        mnuWordPad.Enabled = true;
                        break;

                    case 24:
                        mnuPaint.Enabled = true;
                        break;

                    case 25:
                        mnuChequeBooks.Enabled = true;
                        break;

                    case 26:
                        mnuAccountStatement.Enabled = true;
                        break;
                }
            }
        }

        private void mnuTransfer_Click(object sender, EventArgs e){Transfer();}

        private void picTransfer_Click(object sender, EventArgs e)
        {
            if (mnuTransfer.Enabled == true) { Transfer(); }
        }

        private void mnuAccountStatement_Click(object sender, EventArgs e)
        {
            if (mnuAccountStatement.Enabled == true) { accountStatement(); }
        }

        private void picAccountStatement_Click(object sender, EventArgs e)
        {
            if (mnuAccountStatement.Enabled == true) { accountStatement(); }
        }

        private void contentsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Application.StartupPath + @"\BMS PRESENTATION.ppt");
        }

    }
}
