/****************************************************************
*	TITLE               :   BMS                                 *
*   APPLICATION DOMAIN  :   Bank Management System              *
*   VERSION             :   1.0                                 *
*   DEVELOPER           :	Mr. Abdel Raouf Yessoufou           *
*	SYSTEM ANALIST      :   Mr. Abdel Raouf Yessoufou           *
*	SYSTEM DESIGNER     :	Mr. Abdel Raouf Yessoufou           *
*	DATABASE DESIGNER   :	Mr. Abdel Raouf Yessoufou           *
*   YEAR CREATED        :   2008                                *
*   NOTES               :   This is just the begining.          *
*                           The best is yet to come as          *
*                           I am looking forward to adding      *
*                           more features for next version      *
*****************************************************************/

using System;
using System.Windows.Forms;

using BMS.CLASSES;
namespace BMS.FORMS
{
    public partial class frm_OPTIONS : Form
    {
        bool blAdd = false;
        bool blEdit = false;

        int intOptionID = 0;
        cls_OPTIONS cls_OPTIONS_obj = new cls_OPTIONS();

        public frm_OPTIONS()
        {
            InitializeComponent();
        }

        private void btnQuit_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void btnUpdate_Click(object sender, EventArgs e)
        {
            cls_OPTIONS_obj.StrAccountNo  = txtAccountNo.Text.Trim();
            cls_OPTIONS_obj.StrATMCardNo= txtATMCardNo.Text.Trim();
            cls_OPTIONS_obj.StrChequeBookNo = txtChequeBookNo.Text.Trim();
            cls_OPTIONS_obj.StrChequeNo = txtChequeNo.Text.Trim();
            cls_OPTIONS_obj.IntNoOfCheques =Convert.ToInt16( txtNoOfCheques.Text.Trim());

            if (blAdd == true && blEdit == false)
            {
                if (cls_OPTIONS_obj.saveOptionDetails() != 1)
                { cls_UTILITY.displayMessage("An error occured while saving data. Please retry", MessageBoxIcon.Error); }
                else{cls_UTILITY.displayMessage("Details saved successfully", MessageBoxIcon.Information);}
            }
            else if (blAdd == false && blEdit == true)
            {
                if (cls_OPTIONS_obj.updateOptionDetails(intOptionID) != 1)
                { cls_UTILITY.displayMessage("An error occured while updating data. Please retry", MessageBoxIcon.Error); }
                else{cls_UTILITY.displayMessage("Details updated successfully", MessageBoxIcon.Information);}
            }
        }

        private void frm_OPTIONS_Load(object sender, EventArgs e)
        {
            cls_OPTIONS_obj.OptionDetails();
            
            txtAccountNo.Text = cls_OPTIONS_obj.StrAccountNo ;
            txtATMCardNo.Text = cls_OPTIONS_obj.StrATMCardNo;
            txtChequeBookNo.Text = cls_OPTIONS_obj.StrChequeBookNo;
            txtChequeNo.Text = cls_OPTIONS_obj.StrChequeNo;
            intOptionID = cls_OPTIONS_obj.IntOptionID;
            txtNoOfCheques.Text  = cls_OPTIONS_obj.IntNoOfCheques.ToString();

            if (txtAccountNo.Text.Trim() == "") { blAdd = true; }
            else { blEdit = true ;  }
        }

        private void btnAccountNoHelp_Click(object sender, EventArgs e)
        {

        }
    }
}